AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- S3AlbumComponentCore
  - S3AlbumComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _options
- _path
- amplifyService
- list
- logger
- selected

### Accessors

- data
- options
- path

### Methods

- getList
- ngOnInit
- onImageSelected

## Constructors

### constructor

- new S3AlbumComponentIonic(amplifyService: AmplifyService): S3AlbumComponentIonic

- Overrides S3AlbumComponentCore.constructor

  - Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.ionic.ts:37

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns S3AlbumComponentIonic

## Properties

### _options

_options: any

Inherited from S3AlbumComponentCore._options

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:40

### _path

_path: string

Inherited from S3AlbumComponentCore._path

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:39

### Protected amplifyService

amplifyService: AmplifyService

Overrides S3AlbumComponentCore.amplifyService

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.ionic.ts:39

### list

list: Array<Object>

Inherited from S3AlbumComponentCore.list

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:38

### Protected logger

logger: any

Inherited from S3AlbumComponentCore.logger

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:41

### selected

selected: EventEmitter<string> = new EventEmitter<string>()

Inherited from S3AlbumComponentCore.selected

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:44

## Accessors

### data

data:

Inherited from S3AlbumComponentCore.data

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:61

### options

options:

Inherited from S3AlbumComponentCore.options

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:71

### path

path:

Inherited from S3AlbumComponentCore.path

- Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:67

## Methods

### getList

- getList(path: any, options: any): void

- Inherited from S3AlbumComponentCore.getList

  - Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:75

  #### Parameters

  - ##### path: any

  - ##### options: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from S3AlbumComponentCore.ngOnInit

  - Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:50

  #### Returns void

### onImageSelected

- onImageSelected(event: any): void

- Inherited from S3AlbumComponentCore.onImageSelected

  - Defined in aws-amplify-angular/src/components/storage/s3-album-component/s3-album.component.core.ts:57

  #### Parameters

  - ##### event: any

  #### Returns void